Java Interface
Last update : 19/07/2006

SciComplex - Class to use complex object with scilab

### Description

Method Summary :

`public SciComplex(String name,SciComplex Obj)` : Constructor

`public SciComplex(String name)` : Constructor

`public SciComplex(String name,double realpart,double imaginarypart )` : Constructor

`public String getName()` : Get Name of scilab object

`public double getRealPartData()` : Get Real Part Value of scilab object

`public double getImaginaryPartData()` : Get Imaginary Part Value of scilab object

`public void Get()` : Get in java object , value of scilab object

`public boolean Job(String job)` : Execute a job in scilab

`public void Send()` : Send to scilab object , value of java object

`public void disp()` : disp object

`public void toString()` : convert complex to a string

### Examples

     // See SCI/examples/Callsci/CallsciJava directory

### See Also

`Scilab`, `SciComplexArray`, `SciString`, `SciStringArray`, `SciDoubleArray`, `SciDouble`,

### Author

A.C